Notifications API
GET /api/v1/notifications/channels
Section titled “GET /api/v1/notifications/channels”List Channels
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/notifications/channels
Section titled “POST /api/v1/notifications/channels”Create Channel
Request body (required), application/json, ChannelIn
| Field | Type | Required | Description |
|---|---|---|---|
enabled | boolean | no | |
events | string[] | null | no | |
name | string | yes | |
url | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 201 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/notifications/channels/{channel_id}
Section titled “DELETE /api/v1/notifications/channels/{channel_id}”Delete Channel
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 204 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PATCH /api/v1/notifications/channels/{channel_id}
Section titled “PATCH /api/v1/notifications/channels/{channel_id}”Patch Channel
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id | path | integer | yes |
Request body (required), application/json, ChannelPatch
| Field | Type | Required | Description |
|---|---|---|---|
enabled | boolean | null | no | |
events | string[] | null | no | |
name | string | null | no | |
url | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/notifications/channels/{channel_id}/fields
Section titled “GET /api/v1/notifications/channels/{channel_id}/fields”Channel Fields
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
POST /api/v1/notifications/channels/{channel_id}/test
Section titled “POST /api/v1/notifications/channels/{channel_id}/test”Test Channel
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
channel_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/notifications/dismissed
Section titled “GET /api/v1/notifications/dismissed”Get Dismissed
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/notifications/dismissed/{job_id}
Section titled “POST /api/v1/notifications/dismissed/{job_id}”Dismiss One
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/notifications/dismissed/clear-all
Section titled “POST /api/v1/notifications/dismissed/clear-all”Clear All
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/notifications/kinds
Section titled “GET /api/v1/notifications/kinds”Notification Kinds
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
GET /api/v1/notifications/public-url
Section titled “GET /api/v1/notifications/public-url”Get Public Url
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
PUT /api/v1/notifications/public-url
Section titled “PUT /api/v1/notifications/public-url”Set Public Url
Request body (required), application/json, PublicUrlIn
| Field | Type | Required | Description |
|---|---|---|---|
url | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
GET /api/v1/notifications/types
Section titled “GET /api/v1/notifications/types”Notification Types
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
PATCH /api/v1/notifications/types
Section titled “PATCH /api/v1/notifications/types”Update Notification Types
Request body (required), application/json, TypesPatchIn
| Field | Type | Required | Description |
|---|---|---|---|
enabled | object | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |